package com.heyu.api.data.entity.calca;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*账户表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("calca_account")
public class CalcaAccountEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.calca.CalcaAccountEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                               // 主键id
    public final static String is_delete = CLASS_NAME + "is_delete";                                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                              // 修改时间
    public final static String user_name = CLASS_NAME + "user_name";                                  // 账户名
    public final static String password_ = CLASS_NAME + "password";                                   // 密码
    public final static String current_amount = CLASS_NAME + "current_amount";                        // 账户余额，金额，所有的金额都以分为单个金额，所有的金额都以分为单位
    public final static String recharge_amount = CLASS_NAME + "recharge_amount";                      // 充值金额，金额，所有的金额都以分为单位
    public final static String hours_statistics_limit = CLASS_NAME + "hours_statistics_limit";        // 产生小时数据报表数据限制，如果配置1000条，表示每天数据产生1000条，就会产生小时级数据统计
    public final static String minutes_statistics_limit = CLASS_NAME + "minutes_statistics_limit";    // 产生分钟级数据统计报表域值，如配置1万条，表示每天数据生产1万条，才会产生分钟级数据统计
    public final static String minutes_visit_limit = CLASS_NAME + "minutes_visit_limit";              // 这个账号下所有的token一分钟访问次数限制, 0 表示不限制
    //主键id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //账户名
    private String userName;
    //密码
    private String password;
    //账户余额，金额，所有的金额都以分为单个金额，所有的金额都以分为单位
    private BigDecimal currentAmount;
    //充值金额，金额，所有的金额都以分为单位
    private BigDecimal rechargeAmount;
    //产生小时数据报表数据限制，如果配置1000条，表示每天数据产生1000条，就会产生小时级数据统计
    private Long hoursStatisticsLimit;
    //产生分钟级数据统计报表域值，如配置1万条，表示每天数据生产1万条，才会产生分钟级数据统计
    private Long minutesStatisticsLimit;
    //这个账号下所有的token一分钟访问次数限制, 0 表示不限制
    private Integer minutesVisitLimit;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 账户名 
     * @return
     */
    public String getUserName() {
        return userName;
    }
    /**
     * 账户名 
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 密码 
     * @return
     */
    public String getPassword() {
        return password;
    }
    /**
     * 密码 
     * @param password
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * 账户余额，金额，所有的金额都以分为单个金额，所有的金额都以分为单位 
     * @return
     */
    public BigDecimal getCurrentAmount() {
        return currentAmount;
    }
    /**
     * 账户余额，金额，所有的金额都以分为单个金额，所有的金额都以分为单位 
     * @param currentAmount
     */
    public void setCurrentAmount(BigDecimal currentAmount) {
        this.currentAmount = currentAmount;
    }

    /**
     * 充值金额，金额，所有的金额都以分为单位 
     * @return
     */
    public BigDecimal getRechargeAmount() {
        return rechargeAmount;
    }
    /**
     * 充值金额，金额，所有的金额都以分为单位 
     * @param rechargeAmount
     */
    public void setRechargeAmount(BigDecimal rechargeAmount) {
        this.rechargeAmount = rechargeAmount;
    }

    /**
     * 产生小时数据报表数据限制，如果配置1000条，表示每天数据产生1000条，就会产生小时级数据统计 
     * @return
     */
    public Long getHoursStatisticsLimit() {
        return hoursStatisticsLimit;
    }
    /**
     * 产生小时数据报表数据限制，如果配置1000条，表示每天数据产生1000条，就会产生小时级数据统计 
     * @param hoursStatisticsLimit
     */
    public void setHoursStatisticsLimit(Long hoursStatisticsLimit) {
        this.hoursStatisticsLimit = hoursStatisticsLimit;
    }

    /**
     * 产生分钟级数据统计报表域值，如配置1万条，表示每天数据生产1万条，才会产生分钟级数据统计 
     * @return
     */
    public Long getMinutesStatisticsLimit() {
        return minutesStatisticsLimit;
    }
    /**
     * 产生分钟级数据统计报表域值，如配置1万条，表示每天数据生产1万条，才会产生分钟级数据统计 
     * @param minutesStatisticsLimit
     */
    public void setMinutesStatisticsLimit(Long minutesStatisticsLimit) {
        this.minutesStatisticsLimit = minutesStatisticsLimit;
    }

    /**
     * 这个账号下所有的token一分钟访问次数限制, 0 表示不限制 
     * @return
     */
    public Integer getMinutesVisitLimit() {
        return minutesVisitLimit;
    }
    /**
     * 这个账号下所有的token一分钟访问次数限制, 0 表示不限制 
     * @param minutesVisitLimit
     */
    public void setMinutesVisitLimit(Integer minutesVisitLimit) {
        this.minutesVisitLimit = minutesVisitLimit;
    }

    @Override
    public String toString() {
        return "CalcaAccountEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",userName=" + userName +
                ",password=" + password +
                ",currentAmount=" + currentAmount +
                ",rechargeAmount=" + rechargeAmount +
                ",hoursStatisticsLimit=" + hoursStatisticsLimit +
                ",minutesStatisticsLimit=" + minutesStatisticsLimit +
                ",minutesVisitLimit=" + minutesVisitLimit +
                "}";
    }
}